{
	"name": "prettier-vscode",
	"displayName": "Prettier - Code formatter",
	"description": "Code formatter using prettier",
	"version": "9.5.0",
	"publisher": "esbenp",
	"author": "Prettier <@prettiercode>",
	"galleryBanner": {
		"color": "#ffe04b",
		"theme": "light"
	},
	"homepage": "https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode",
	"repository": {
		"type": "git",
		"url": "https://github.com/prettier/prettier-vscode.git"
	},
	"license": "MIT",
	"bugs": {
		"url": "https://github.com/prettier/prettier-vscode/issues"
	},
	"engines": {
		"vscode": "^1.60.0"
	},
	"keywords": [
		"multi-root ready",
		"prettier",
		"formatter",
		"javascript",
		"handlebars",
		"js",
		"jsx",
		"flow",
		"typescript",
		"ts",
		"json",
		"css",
		"less",
		"scss",
		"styled-components",
		"styled-jsx",
		"markdown",
		"md",
		"commonmark",
		"mdx",
		"php",
		"pug",
		"ruby",
		"swift",
		"html",
		"vue",
		"ember",
		"glimmer",
		"angular",
		"graphql",
		"yaml",
		"yml"
	],
	"categories": [
		"Formatters"
	],
	"activationEvents": [
		"onStartupFinished"
	],
	"icon": "icon.png",
	"main": "./dist/extension",
	"browser": "./dist/web-extension",
	"scripts": {
		"clean": "node ./scripts/clean.js",
		"lint": "eslint -c .eslintrc.js --ext .ts .",
		"pretest": "yarn test-compile && cd test-fixtures/plugins && yarn install && cd ../outdated && yarn install && cd ../module && yarn install && cd ../specific-version && yarn install && cd ../explicit-dep && yarn install && cd implicit-dep && yarn install",
		"prettier": "prettier --write '**/*.{ts,json,md,hbs,yml,js}'",
		"test-compile": "yarn clean && tsc -p ./ && yarn webpack",
		"test": "node ./out/test/runTests.js",
		"version": "node ./scripts/version.js && git add CHANGELOG.md",
		"vscode:prepublish": "webpack --mode production",
		"watch": "tsc --watch -p ./",
		"webpack-dev": "webpack --mode development --watch",
		"webpack": "webpack --mode development",
		"postinstall": "husky install",
		"chrome": "yarn webpack && vscode-test-web --browserType=chromium --extensionDevelopmentPath=. ."
	},
	"lint-staged": {
		"**/*.{ts,json,md,yml,hbs,js}": [
			"prettier --write"
		],
		"src/**/*.ts": [
			"eslint -c .eslintrc.js --ext .ts ."
		]
	},
	"devDependencies": {
		"@types/fs-extra": "^9.0.13",
		"@types/glob": "^7.2.0",
		"@types/lodash": "^4.14.180",
		"@types/mocha": "^9.1.0",
		"@types/node": "16.11.17",
		"@types/prettier": "^2.4.4",
		"@types/resolve": "^1.20.1",
		"@types/semver": "^7.3.9",
		"@types/sinon": "^10.0.11",
		"@types/tmp": "^0.2.3",
		"@types/vscode": "^1.60.0",
		"@typescript-eslint/eslint-plugin": "^5.16.0",
		"@typescript-eslint/parser": "^5.16.0",
		"@vscode/test-electron": "^2.1.3",
		"@vscode/test-web": "^0.0.24",
		"eslint": "^8.12.0",
		"eslint-config-prettier": "^8.5.0",
		"fs-extra": "^10.0.1",
		"glob": "^7.2.0",
		"husky": "^7.0.4",
		"lint-staged": "^12.3.7",
		"mocha": "^9.2.2",
		"path-browserify": "^1.0.1",
		"process": "^0.11.10",
		"sinon": "^13.0.1",
		"tmp": "^0.2.1",
		"ts-loader": "^9.2.8",
		"typescript": "^4.6.3",
		"util": "^0.12.4",
		"vsce": "^2.7.0",
		"vscode-nls-dev": "^4.0.0",
		"webpack": "^5.70.0",
		"webpack-cli": "^4.9.2"
	},
	"dependencies": {
		"find-up": "5.0.0",
		"prettier": "^2.6.1",
		"resolve": "^1.22.0",
		"semver": "^7.3.5",
		"vscode-nls": "^5.0.0"
	},
	"capabilities": {
		"virtualWorkspaces": true,
		"untrustedWorkspaces": {
			"supported": "limited",
			"description": "%ext.capabilities.untrustedWorkspaces.description%",
			"restrictedConfigurations": [
				"prettier.documentSelectors",
				"prettier.resolveGlobalModules",
				"prettier.ignorePath",
				"prettier.prettierPath",
				"prettier.configPath",
				"prettier.useEditorConfig",
				"prettier.resolveGlobalModules",
				"prettier.withNodeModules"
			]
		}
	},
	"contributes": {
		"configuration": {
			"type": "object",
			"title": "%ext.config.title%",
			"properties": {
				"prettier.disableLanguages": {
					"type": "array",
					"items": {
						"type": "string"
					},
					"deprecationMessage": "%ext.config.disableLanguagesDeprecation%",
					"markdownDescription": "%ext.config.disableLanguages%",
					"scope": "window"
				},
				"prettier.documentSelectors": {
					"type": "array",
					"items": {
						"type": "string"
					},
					"markdownDescription": "%ext.config.documentSelectors%",
					"scope": "window"
				},
				"prettier.enable": {
					"type": "boolean",
					"default": true,
					"markdownDescription": "%ext.config.enable%",
					"scope": "resource"
				},
				"prettier.requireConfig": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.requireConfig%",
					"scope": "resource"
				},
				"prettier.resolveGlobalModules": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.resolveGlobalModules%",
					"scope": "resource"
				},
				"prettier.withNodeModules": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.withNodeModules%",
					"scope": "resource"
				},
				"prettier.packageManager": {
					"scope": "resource",
					"type": "string",
					"enum": [
						"npm",
						"yarn",
						"pnpm"
					],
					"default": "npm",
					"deprecationMessage": "%ext.config.packageManagerDeprecation%",
					"markdownDescription": "%ext.config.packageManager%"
				},
				"prettier.useEditorConfig": {
					"type": "boolean",
					"default": true,
					"markdownDescription": "%ext.config.useEditorConfig%",
					"scope": "resource"
				},
				"prettier.ignorePath": {
					"type": "string",
					"default": ".prettierignore",
					"markdownDescription": "%ext.config.ignorePath%",
					"scope": "resource"
				},
				"prettier.prettierPath": {
					"type": "string",
					"markdownDescription": "%ext.config.prettierPath%",
					"scope": "resource"
				},
				"prettier.configPath": {
					"type": "string",
					"markdownDescription": "%ext.config.configPath%",
					"scope": "resource"
				},
				"prettier.enableDebugLogs": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.enableDebugLogs%",
					"scope": "resource"
				},
				"prettier.printWidth": {
					"type": "integer",
					"default": 80,
					"markdownDescription": "%ext.config.printWidth%",
					"scope": "resource"
				},
				"prettier.tabWidth": {
					"type": "integer",
					"default": 2,
					"markdownDescription": "%ext.config.tabWidth%",
					"scope": "resource"
				},
				"prettier.singleQuote": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.singleQuote%",
					"scope": "resource"
				},
				"prettier.trailingComma": {
					"type": "string",
					"enum": [
						"none",
						"es5",
						"all"
					],
					"default": "es5",
					"markdownDescription": "%ext.config.trailingComma%",
					"scope": "resource"
				},
				"prettier.bracketSpacing": {
					"type": "boolean",
					"default": true,
					"markdownDescription": "%ext.config.bracketSpacing%",
					"scope": "resource"
				},
				"prettier.jsxBracketSameLine": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.jsxBracketSameLine%",
					"scope": "resource"
				},
				"prettier.semi": {
					"type": "boolean",
					"default": true,
					"markdownDescription": "%ext.config.semi%",
					"scope": "resource"
				},
				"prettier.requirePragma": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.requirePragma%",
					"scope": "resource"
				},
				"prettier.insertPragma": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.insertPragma%",
					"scope": "resource"
				},
				"prettier.useTabs": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.useTabs%",
					"scope": "resource"
				},
				"prettier.proseWrap": {
					"type": "string",
					"enum": [
						"preserve",
						"always",
						"never"
					],
					"default": "preserve",
					"markdownDescription": "%ext.config.proseWrap%",
					"scope": "resource"
				},
				"prettier.arrowParens": {
					"type": "string",
					"enum": [
						"avoid",
						"always"
					],
					"default": "always",
					"markdownDescription": "%ext.config.arrowParens%",
					"scope": "resource"
				},
				"prettier.jsxSingleQuote": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.jsxSingleQuote%",
					"scope": "resource"
				},
				"prettier.htmlWhitespaceSensitivity": {
					"type": "string",
					"enum": [
						"css",
						"strict",
						"ignore"
					],
					"default": "css",
					"markdownDescription": "%ext.config.htmlWhitespaceSensitivity%",
					"scope": "resource"
				},
				"prettier.vueIndentScriptAndStyle": {
					"type": "boolean",
					"default": false,
					"markdownDescription": "%ext.config.vueIndentScriptAndStyle%",
					"scope": "resource"
				},
				"prettier.endOfLine": {
					"type": "string",
					"enum": [
						"auto",
						"lf",
						"crlf",
						"cr"
					],
					"default": "lf",
					"markdownDescription": "%ext.config.endOfLine%",
					"scope": "resource"
				},
				"prettier.quoteProps": {
					"type": "string",
					"enum": [
						"as-needed",
						"consistent",
						"preserve"
					],
					"default": "as-needed",
					"markdownDescription": "%ext.config.quoteProps%",
					"scope": "resource"
				},
				"prettier.embeddedLanguageFormatting": {
					"type": "string",
					"enum": [
						"auto",
						"off"
					],
					"default": "auto",
					"markdownDescription": "%ext.config.embeddedLanguageFormatting%",
					"scope": "resource"
				}
			}
		},
		"jsonValidation": [
			{
				"fileMatch": ".prettierrc",
				"url": "https://json.schemastore.org/prettierrc"
			},
			{
				"fileMatch": ".prettierrc.json",
				"url": "https://json.schemastore.org/prettierrc"
			},
			{
				"fileMatch": "package.json",
				"url": "./package-json-schema.json"
			}
		],
		"languages": [
			{
				"id": "json",
				"filenames": [
					".prettierrc"
				]
			},
			{
				"id": "ignore",
				"filenames": [
					".prettierignore"
				]
			},
			{
				"id": "graphql",
				"extensions": [
					".graphql"
				]
			},
			{
				"id": "vue",
				"extensions": [
					".vue"
				]
			},
			{
				"id": "handlebars",
				"extensions": [
					".hbs",
					".handlebars"
				]
			}
		],
		"commands": [
			{
				"command": "prettier.createConfigFile",
				"title": "%ext.command.createConfigFile.title%"
			},
			{
				"command": "prettier.forceFormatDocument",
				"title": "%ext.command.forceFormatDocument.title%",
				"when": "editorFocus"
			}
		]
	},
	"__metadata": {
		"id": "96fa4707-6983-4489-b7c5-d5ffdfdcce90",
		"publisherId": "d16f4e39-2ffb-44e3-9c0d-79d873570e3a",
		"publisherDisplayName": "Prettier",
		"targetPlatform": "undefined",
		"updated": false,
		"isPreReleaseVersion": false,
		"preRelease": false,
		"installedTimestamp": 1654673873461
	}
}